package com.neusoft.smart.pos.payment.persistent.mapper;

import com.neusoft.smart.pos.payment.persistent.domain.MchPayChannel;
import com.neusoft.smart.pos.payment.persistent.domain.MchPayChannelExample;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface MchPayChannelMapper {
    int countByExample(MchPayChannelExample example);

    int deleteByExample(MchPayChannelExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(MchPayChannel record);

    int insertSelective(MchPayChannel record);

    List<MchPayChannel> selectByExampleWithBLOBs(MchPayChannelExample example);

    List<MchPayChannel> selectByExample(MchPayChannelExample example);

    MchPayChannel selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") MchPayChannel record, @Param("example") MchPayChannelExample example);

    int updateByExampleWithBLOBs(@Param("record") MchPayChannel record, @Param("example") MchPayChannelExample example);

    int updateByExample(@Param("record") MchPayChannel record, @Param("example") MchPayChannelExample example);

    int updateByPrimaryKeySelective(MchPayChannel record);

    int updateByPrimaryKeyWithBLOBs(MchPayChannel record);

    int updateByPrimaryKey(MchPayChannel record);

    void batchInsert(@Param("items") List<MchPayChannel> items);
}